extend ../../../ComponentesPug/ModalBusqueda/Plantilla.pug

block variables
    - var TituloModal = "{{ tTituloModal }}"
    - var NombreVariable = "Grupo"
    - var ListadoCabecera = ["Grupo", "Descripcion"]
    - var TamanoColeccion = "tGrupos.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tGrupo of tGrupos | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
        th
            button(type="button", (click)="activeModal.close({'Resultado' : 'S', '" + NombreVariable + "' : tGrupo})").btn.btn-sm.btn-link
                .fas.fa-mouse-pointer
        td
            h6 {{ tGrupo.Codgrupo }}
        td
            h6.text-nowrap {{ tGrupo.Descripcion }}